
Function iJoyName:String(joyNum:Int)
	Return String.FromCString(_iJoyName(joyNum))
EndFunction

Function iMouseReset(location:D3DXVECTOR2)
	_iMouseReset(location.param())
EndFunction

Function iJoyForceSet:Int(joyNum:Int, force_vector:D3DXVECTOR3)
	Return _iJoyForceSet(joyNum, force_vector.param())
EndFunction

Extern
	' INPUT-KEYBOARD
	Function iKeyDown:Int(keyCode:Int) ' returns true/false
	Function iKeyClick:Int(keyCode:Int) ' returns true/false
	Function iKeyUpWait(keyCode:Int)
	Function iTypedChar:Byte(bOnlyOnce:Int)

	' INPUT-MOUSE
	Function iMouseResolutionSet(resolutionWidth:Int)
	Function iMouseButtonDown:Int(button:Int) ' returns true/false
	Function iMouseButtonClick:Int(button:Int)' returns true/false
	Function iMouseButtonUpWait(button:Int)
	Function iMouseX:Float()
	Function iMouseY:Float()
	Function iMouseZ:Float(bRelative:Int)
	Function iWindowsMouseHide(bHide:Int)
	Function _iMouseReset(D3DXVECTOR2_location:Byte Ptr)="iMouseReset"
	Function iMouseZSet(wheelPos:Float)
	Function iMouseWinModeSet(bWindowsMode:Int=False)
	
	' INPUT-JOYSTICK
	Function iJoyCount:Int()
	Function _iJoyName:Byte Ptr(joyNum:Int)="iJoyName"
	Function iJoyButtonDown(joyNum:Int,button:Int) ' returns true/false
	Function iJoyButtonClick(joyNum:Int,button:Int) ' returns true/false
	Function iJoyButtonUpWait(joyNum:Int,button:Int)
	Function iJoyAverageCenterWait(joyNum:Int,averageComputationPeriod:Float)
	Function iJoyX:Float(joyNum:Int)
	Function iJoyY:Float(joyNum:Int)
	Function iJoyZ:Float(joyNum:Int)
	Function iJoyXAverage:Float(joyNum:Int,averageComputationPeriod:Float)
	Function iJoyYAverage:Float(joyNum:Int,averageComputationPeriod:Float)
	Function iJoyZAverage:Float(joyNum:Int,averageComputationPeriod:Float)
	' TODO: need to define the DIJOYSTATE2 structure
	Function iJoyState(joyNum:Int,DIJOYSTATE2:Byte Ptr)
	Function _iJoyForceSet:Int(joyNum:Int, D3DXVECTOR3:Byte Ptr) = "iJoyForceSet"

EndExtern
