
Function iWindowTitleSet(title:String)
	_iWindowTitleSet(title)
EndFunction

Function iShadowColorSet(color:D3DXVECTOR3)
	_iShadowColorSet(color.param())
EndFunction

Function iMirrorPlaneSet(location:D3DXVECTOR3,normal:D3DXVECTOR3)
	_iMirrorPlaneSet(location.param(),normal.param())
EndFunction

Function i3DLocationToScreen(screenLocation:D3DXVECTOR2,sourceLocation:D3DXVECTOR3,cam:CAMERA)
	_i3DLocationToScreen(screenLocation.param(),sourceLocation.param(),cam.objptr)
EndFunction

Function iScreenRay(cam:CAMERA,screenLocation:D3DXVECTOR2,rayOrigin:D3DXVECTOR3,rayDirection:D3DXVECTOR3)
	_iScreenRay(cam.objptr,screenLocation.param(),rayOrigin.param(),rayDirection.param())
EndFunction

Function iPickPoint(intersectionPoint:D3DXVECTOR3)
	_iPickPoint(intersectionPoint.param())
EndFunction

Function iScreenShot(bmp_filename:String)
	_iScreenShot(bmp_filename)
EndFunction

Function iMovieSaveStart(renderPath:String,savingRate:Int)
	_iMovieSaveStart(renderPath,savingRate)
EndFunction

Function i3DPointVisible:Int(cam:CAMERA,point:D3DXVECTOR3)
	Return _i3DPointVisible(cam.objptr,point.param())
EndFunction

Extern
	' RENDERING-ENGINE
	Function iWindow:Byte Ptr()
	Function _iWindowTitleSet(title$z)="iWindowTitleSet"
	Function iWindowCenter(windowToCenter:Byte Ptr,referenceWindow:Byte Ptr)
	Function iDisplayMode:Int()
	Function iRender()
	Function iScreenWipe(r:Int,g:Int,b:Int)
	Function iFrameRate:Float(bReturnAverage:Int)
	Function iBackgroundColorSet(r:Int,g:Int,b:Int)
	Function iFogColorSet(r:Int,g:Int,b:Int)
	Function _iShadowColorSet(D3DXVECTOR3_color:Byte Ptr)="iShadowColorSet"
	Function iShadowDisplacementSet(displacement:Float)
	Function iGammaSet(biasRedFactor:Float,biasGreenFactor:Float,biasBlueFactor:Float,offsetRedFactor:Float=0,offsetGreenFactor:Float=0,offsetBlueFactor:Float=0)
	Function iBoundingSphereFrustumCheckSet(bEnable:Int)
	Function iPixelShadersSupported:Int() ' returns true/false
	Function iEnvMapsSupported:Int() ' returns true/false
	Function iDynamicEnvMapsSupported:Int() ' returns true/false
	Function _iMirrorPlaneSet(D3DXVECTOR3_location:Byte Ptr,D3DXVECTOR3_normal:Byte Ptr)="iMirrorPlaneSet"
	Function iMirrorShadowsSet(bEnable:Int)
	Function iRenderingEnable()
	Function iRenderingDisable()
	Function _i3DLocationToScreen(D3DXVECTOR2_screenLocation:Byte Ptr,D3DXVECTOR3_sourceLocation:Byte Ptr,CAMERA:Byte Ptr)="i3DLocationToScreen"
	Function _iScreenRay(CAMERA:Byte Ptr,D3DXVECTOR2_screenLocation:Byte Ptr,D3DXVECTOR3_rayOrigin:Byte Ptr,D3DXVECTOR3_rayDirection:Byte Ptr)="iScreenRay"
	Function _iPickPoint(D3DXVECTOR3_intersectionPoint:Byte Ptr)="iPickPoint"
	Function _iScreenShot(bmp_filename$z)="iScreenShot"
	Function _iMovieSaveStart(renderPath$z,savingRate:Int)="iMovieSaveStart"
	Function iMovieSaveStop()
	Function _i3DPointVisible:Int(CAMERA:Byte Ptr,D3DXVECTOR3_point:Byte Ptr)="i3DPointVisible"
	Function iVertexShaderVersion:Int(bMinorVersion:Int)
	Function iPixelShaderVersion:Int(bMinorVersion:Int)
	Function iShadowCasterCreateMode(bMode:Int)
EndExtern
